/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.se.eip;

/**
 * Configuration constants.
 * 
 * @author alouis
 * 
 */
public interface EIPConstants {

    public final static String ACTION = "eip";

    public final static String PATH = "path";

    public final static String TEST = "test";

    public final static String NAMESPACE = "http://petals.ow2.org/petals-se-eip";

    public final static String RESULT_ELEMENT = "result";

    /**
     * If true, a fault received doesn't stop the treatment.<br />
     * For the WithOut patterns, the fault message is added to the concatenated
     * response
     */
    public final static String FAULT_ROBUST = "fault-robust";

    /**
     * If true, an exception received doesn't stop the treatment.<br />
     * For the WithOut patterns, the exception message is added to the
     * concatenated response
     */
    public final static String EXCEPTION_ROBUST = "exception-robust";

    /**
     * If true, the message content is ignored, and each xml attachment file is
     * transformed to a message in content.<br />
     */
    public final static String ATTACHMENT_MODE = "attachment-mode";

    /**
     * The fault element used to return a fault into an out message, when the pattern is fault robust
     */
    public final static String FAULT_ELEMENT = "fault";

    /**
     * The exception element used to return a fault into an out message, when the pattern is exception robust
     */
    public final static String EXCEPTION_ELEMENT = "exception";

    public static final String WIRE_TAP_WAY = "wiretap-way";

    public static final String AGGREGATOR_CORRELATION = "aggregator-correlation";
}
