/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * ---------------------------------------------------------------------------
 * ---------------------------------------------------------------------------
 */
package org.ow2.petals.se.eip.async;

import java.util.List;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.jbidescriptor.generated.Consumes;
import org.ow2.petals.se.eip.patterns.RoutingSlip;

/**
 * @author Frederic Gardes
 * 
 */
public class RoutingSlipAsyncContext extends CommonAsyncContext {

    private List<Consumes> consumesList = null;

    /**
     * The Constructor
     * 
     * @param originalExchange
     * @param timeToLive
     * @param consumesList
     */
    public RoutingSlipAsyncContext(final Exchange originalExchange, final Long timeToLive,
            final List<Consumes> consumesList) {
        super(originalExchange, timeToLive, RoutingSlip.ROUTING_SLIP_NAME, false, false,
                consumesList.size());
        this.consumesList = consumesList;
    }

    /**
     * Get the consumesList
     * 
     * @return the consumesList
     */
    public List<Consumes> getConsumesList() {
        return this.consumesList;
    }

}
